#pragma once

class CListCtrlItemWalk
{
public:
	CListCtrlItemWalk(CListCtrl* pListCtrl) { m_pListCtrl = pListCtrl; }

	// X-Ray :: ModelessDialogs :: Start
	/*
	virtual CObject* GetNextSelectableItem();
	virtual CObject* GetPrevSelectableItem();
	*/
	virtual CObject* GetNextSelectableItem(CObject* pCurrentObj);
	virtual CObject* GetPrevSelectableItem(CObject* pCurrentObj);
	// X-Ray :: ModelessDialogs :: End

	CListCtrl* GetListCtrl() const { return m_pListCtrl; }

protected:
	CListCtrl* m_pListCtrl;
};
